package com.wasu.cs.mvp.model;

import com.wasu.cs.model.Model;

import java.util.List;

/**
 * Created by chenming on 2016/8/1.
 *
 * @author chenming
 * @Description: 网易新闻专区数据model
 * @email chenming@wasu.com
 * @date 2016/8/1
 */

public class NeteaseNewsModel extends Model {


	/**
	 * code : 200
	 * data : {"banner":{"list":[{"jsonUrl":"","layout":"","linkType":9,"picUrl":"http://s.cms.wasu.tv/wsimage/2016/9/26/134/134/20160926154552711hi2mdevv.png","title":"banner"}]},"body":{"list":[{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220166&order=1","layout":"ShortVideo_List","linkType":-10,"title":"财智通"},{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220165&order=1&sltid=2103736","layout":"ShortVideo_List","linkType":-10,"title":"名嘴观点"},{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220163&order=1&sltid=2103911","layout":"ShortVideo_List","linkType":-10,"title":"国内视野"},{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220162&order=1&sltid=2107654","layout":"ShortVideo_List","linkType":-10,"title":"社会百态"}],"playWin":{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetDetail&k=1&v=3&catId=220162&assetId=2107654","layout":"Detail_News","title":"云南：遭遇特大暴雨 3人遇难12人失联"}},"detail":{"bgPicUrl":""}}
	 * message : 请求成功
	 */

	private int code;
	private DataBean data;
	private String message;

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public DataBean getData() {
		return data;
	}

	public void setData(DataBean data) {
		this.data = data;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public static class DataBean {
		/**
		 * banner : {"list":[{"jsonUrl":"","layout":"","linkType":9,"picUrl":"http://s.cms.wasu.tv/wsimage/2016/9/26/134/134/20160926154552711hi2mdevv.png","title":"banner"}]}
		 * body : {"list":[{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220166&order=1","layout":"ShortVideo_List","linkType":-10,"title":"财智通"},{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220165&order=1&sltid=2103736","layout":"ShortVideo_List","linkType":-10,"title":"名嘴观点"},{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220163&order=1&sltid=2103911","layout":"ShortVideo_List","linkType":-10,"title":"国内视野"},{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220162&order=1&sltid=2107654","layout":"ShortVideo_List","linkType":-10,"title":"社会百态"}],"playWin":{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetDetail&k=1&v=3&catId=220162&assetId=2107654","layout":"Detail_News","title":"云南：遭遇特大暴雨 3人遇难12人失联"}}
		 * detail : {"bgPicUrl":""}
		 */

		private BannerBean banner;
		private BodyBean body;
		private DetailBean detail;

		public BannerBean getBanner() {
			return banner;
		}

		public void setBanner(BannerBean banner) {
			this.banner = banner;
		}

		public BodyBean getBody() {
			return body;
		}

		public void setBody(BodyBean body) {
			this.body = body;
		}

		public DetailBean getDetail() {
			return detail;
		}

		public void setDetail(DetailBean detail) {
			this.detail = detail;
		}

		public static class BannerBean {
			private List<ListBean> list;

			public List<ListBean> getList() {
				return list;
			}

			public void setList(List<ListBean> list) {
				this.list = list;
			}

			public static class ListBean {
				/**
				 * jsonUrl :
				 * layout :
				 * linkType : 9
				 * picUrl : http://s.cms.wasu.tv/wsimage/2016/9/26/134/134/20160926154552711hi2mdevv.png
				 * title : banner
				 */

				private String jsonUrl;
				private String layout;
				private int linkType;
				private String picUrl;
				private String title;

				public String getJsonUrl() {
					return jsonUrl;
				}

				public void setJsonUrl(String jsonUrl) {
					this.jsonUrl = jsonUrl;
				}

				public String getLayout() {
					return layout;
				}

				public void setLayout(String layout) {
					this.layout = layout;
				}

				public int getLinkType() {
					return linkType;
				}

				public void setLinkType(int linkType) {
					this.linkType = linkType;
				}

				public String getPicUrl() {
					return picUrl;
				}

				public void setPicUrl(String picUrl) {
					this.picUrl = picUrl;
				}

				public String getTitle() {
					return title;
				}

				public void setTitle(String title) {
					this.title = title;
				}
			}
		}

		public static class BodyBean {
			/**
			 * list : [{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220166&order=1","layout":"ShortVideo_List","linkType":-10,"title":"财智通"},{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220165&order=1&sltid=2103736","layout":"ShortVideo_List","linkType":-10,"title":"名嘴观点"},{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220163&order=1&sltid=2103911","layout":"ShortVideo_List","linkType":-10,"title":"国内视野"},{"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220162&order=1&sltid=2107654","layout":"ShortVideo_List","linkType":-10,"title":"社会百态"}]
			 * playWin : {"jsonUrl":"http://120.26.137.228?s=2002&p=sntAssetDetail&k=1&v=3&catId=220162&assetId=2107654","layout":"Detail_News","title":"云南：遭遇特大暴雨 3人遇难12人失联"}
			 */

			private PlayWinBean playWin;
			private List<ListBeanX> list;

			public PlayWinBean getPlayWin() {
				return playWin;
			}

			public void setPlayWin(PlayWinBean playWin) {
				this.playWin = playWin;
			}

			public List<ListBeanX> getList() {
				return list;
			}

			public void setList(List<ListBeanX> list) {
				this.list = list;
			}

			public static class PlayWinBean {
				/**
				 * jsonUrl : http://120.26.137.228?s=2002&p=sntAssetDetail&k=1&v=3&catId=220162&assetId=2107654
				 * layout : Detail_News
				 * title : 云南：遭遇特大暴雨 3人遇难12人失联
				 */

				private String jsonUrl;
				private String layout;
				private String title;

				public String getJsonUrl() {
					return jsonUrl;
				}

				public void setJsonUrl(String jsonUrl) {
					this.jsonUrl = jsonUrl;
				}

				public String getLayout() {
					return layout;
				}

				public void setLayout(String layout) {
					this.layout = layout;
				}

				public String getTitle() {
					return title;
				}

				public void setTitle(String title) {
					this.title = title;
				}
			}

			public static class ListBeanX {
				/**
				 * jsonUrl : http://120.26.137.228?s=2002&p=sntAssetList&k=1&v=3&catId=220166&order=1
				 * layout : ShortVideo_List
				 * linkType : -10
				 * title : 财智通
				 */

				private String jsonUrl;
				private String layout;
				private int linkType;
				private String title;

				public String getJsonUrl() {
					return jsonUrl;
				}

				public void setJsonUrl(String jsonUrl) {
					this.jsonUrl = jsonUrl;
				}

				public String getLayout() {
					return layout;
				}

				public void setLayout(String layout) {
					this.layout = layout;
				}

				public int getLinkType() {
					return linkType;
				}

				public void setLinkType(int linkType) {
					this.linkType = linkType;
				}

				public String getTitle() {
					return title;
				}

				public void setTitle(String title) {
					this.title = title;
				}
			}
		}

		public static class DetailBean {
			/**
			 * bgPicUrl :
			 */

			private String bgPicUrl;

			public String getBgPicUrl() {
				return bgPicUrl;
			}

			public void setBgPicUrl(String bgPicUrl) {
				this.bgPicUrl = bgPicUrl;
			}
		}
	}
}